import { Component, OnInit, ViewContainerRef } from '@angular/core';
import { ToastsManager } from 'ng2-toastr/ng2-toastr';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'Main screen';
  constructor(public toastr: ToastsManager, vRef: ViewContainerRef) {
    this.toastr.setRootViewContainerRef(vRef);
  }
  private authServerBaseUrl = 'https://cuppa-angular2-oauth.herokuapp.com';
  private config = {
  "loginRoute":"login",
  "linkedin":{
    "authEndpoint": this.authServerBaseUrl+"/auth/linkedin",
    "clientId":"8176r44lz2ewos",
    "redirectURI" : "https://cuppa-angular2-oauth.herokuapp.com/admin"
  },
  "facebook":{
    "authEndpoint": this.authServerBaseUrl+"/auth/facebook",
    "clientId":"929055083862567",
    "redirectURI" : "https://cuppa-angular2-oauth.herokuapp.com/admin"
  }
}
// To hide the console logs
ngOnInit(){
   console.log = function(){}
}

}
