import { ChatStatus } from "app/chat/models/chat-status.enum";
import { ChatRole } from "app/chat/models/chat-role.enum";
import { ChatMessage } from "app/chat/models/chat-message";

export interface ChatUser {
    id: number,
    status: ChatStatus,
    fullName: string,
    role: ChatRole,
    lastMessage: ChatMessage,
    profilePic: string,
    conversationId: number
}
