import { Component, OnInit, Input } from '@angular/core';
import { environment } from '../../../../../../environments/environment.dev';

@Component({
  selector: 'app-bny-employee-assessment-left-panel',
  templateUrl: './bny-employee-assessment-left-panel.component.html',
  styleUrls: ['./bny-employee-assessment-left-panel.component.scss']
})
export class BNYEmployeeAssessmentLeftPanelComponent implements OnInit {

  @Input() AssessmentType: number;

  BNYAssessment = [
    { id: 1, name: 'Primary Assessment', img: environment.imageUrl+'/assets/img/employee/dashboard/assessment/Primary.png', desc: 'Objectives to evaluate your Technical skills and to measure the right metrics in your technical area.' },
    { id: 2, name: 'Technical Usecase Assessment', img: environment.imageUrl+'/assets/img/employee/dashboard/assessment/Usecase_illustration.png', desc: 'Simple Use cases to prove your technical skills. In short, Real-time problems should be solved using your Technical skills.' },
    { id: 3, name: 'Business Usecase Assessment', img: environment.imageUrl+'/assets/img/employee/dashboard/assessment/Usecase_illustration.png', desc: 'Simple Use cases to prove your technical skills. In short, Real-time problems should be solved using your Technical skills.' }
  ];

  constructor() { }

  ngOnInit() {
  }

}
