import { Directive, Input, HostListener, Optional, ElementRef } from '@angular/core';
import { EmployeeLogoutComponent } from 'app/employee/employee-dashboard/employee-logout/employee-logout.component';
import { EmployeeComponent } from 'app/employee/employee.component';



@Directive({
  selector: '[appEmployeeLogout]'
})
export class EmployeeLogoutDirective {
  @Input('appEmployeeLogout') elem: EmployeeLogoutComponent;
  constructor(private elRef: ElementRef, ) {
  }
  @HostListener('mouseover') onMouseOver() {
    this.elem.open();
  }

  @HostListener('mouseout') onMouseOut() {
    this.elem.close();
  }
}
