import { CoachDetail } from 'app/models/candidate-dashboard-response/coach-detail';
import { ErrorBean } from 'app/models/candidate-dashboard-response/error-bean';
import { EventDetail } from 'app/models/candidate-dashboard-response/event-detail';
import { EventDetailsDesc } from 'app/models/candidate-dashboard-response/event-details-desc';
import { InfoDetails } from 'app/models/candidate-dashboard-response/info-details';
import { InfoMstr } from 'app/models/candidate-dashboard-response/info-mstr';
import { ScheduleCandidateDetails } from 'app/models/candidate-dashboard-response/schedule-candidate-details';

export interface CandidateDashboardResponse {
  coachDetails: CoachDetail[];
  error: ErrorBean;
  eventDetails: EventDetail[];
  eventDetailsDesc: EventDetailsDesc[];
  infoDetails: InfoDetails;
  infoMstr: InfoMstr;
  scheduleCandidateDetails: ScheduleCandidateDetails;
  testLink: string;
}

export interface DashboardDetailsPayload {
  accessToken: string;
  idpType: string;
}

export interface UserDetailsPayload {
  accessToken: string;
  idpType: string;
}
export interface StepperDetails {
  taskName: string;
  taskStatus: string;
}
