import { PgExperienceLevel } from "app/models/candidate-dashboard-response/pg-experience-level";
import { PgRequirement } from "app/models/candidate-dashboard-response/pg-requirement";
import { PgSourceMstr } from "app/models/candidate-dashboard-response/pg-source-mstr";
import { PgUserInfoMstr } from "app/models/candidate-dashboard-response/pg-user-info-mstr";
import { UserInfoMstr } from "app/models/candidate-dashboard-response/user-info-mstr";

export interface CoachDetail {
    adId: string;
    additionalInfo: string;
    addressLine1: string;
    alternativeContact: string;
    alternativeEmail: string;
    city: string;
    contactNumber: string;
    country: string;
    createdBy: string;
    createdDt: Date;
    currentEmployer: string;
    currentJobTitle: string;
    emailId: string;
    employeeNo: string;
    experienceInYrs: string;
    facebookId: string;
    firstTimeLogin: boolean;
    fullName: string;
    googleId: string;
    governmentId: string;
    highestQualificationHeld: string;
    jobId: string;
    linkedInId: string;
    linkedinUrl: string;
    otherDesc: string;
    pgExperienceLevel: PgExperienceLevel;
    pgRequirement: PgRequirement;
    pgSourceMstr: PgSourceMstr;
    pgUserInfoMstr: PgUserInfoMstr;
    profileId: number;
    profileName: string;
    skypeId: string;
    stateName: string;
    taId: number;
    twitter: string;
    uniqueId: string;
    updatedBy: string;
    updatedDt: Date;
    userInfoDtlsId: number;
    userInfoMstr: UserInfoMstr;
    zipCode: string;
}
