import {EmployeeEventDetail} from 'app/models/coach-employee/employee-event-details';
import {EmployeeCourseDetails} from 'app/models/coach-employee/employee-course-details';
import {InfoMstr} from 'app/models/coach-employee/info-mstr';
import {ErrorBean} from 'app/models/coach-employee/error-bean';


export interface CoachEmployeeDetailsResponse {
  employeeEventDetails: EmployeeEventDetail[];
  coachId: number;
  coachName: string;
  coachEmailId: string;
  employeeCourseDetails: EmployeeCourseDetails;
  infoMstr: InfoMstr;
  fullName: string;
  governementId: any;
  jobId: any;
  adId: string;
  error: ErrorBean;
}
