
export interface PgSkillTrackMstr {
    skillTrackMstrId: number;
    skillTrackName: string;
    description: string;
    status: string;
    createdBy: string;
    createdDt: any;
    updatedBy: string;
    updatedDt: any;
}

export interface PgAwsDirectoryBundleList {
    id: number;
    directoryId: string;
    bundleId: string;
    pgSkillTrackMstr: PgSkillTrackMstr;
    status: string;
    createdBy: string;
    createdDt: any;
    updatedBy: string;
    updatedDt: any;
}

export interface DirectoryBundleResponse {
    directoryId?: any;
    bundleId?: any;
    skillMstr?: any;
    pgAwsDirectoryBundleList: PgAwsDirectoryBundleList[];
    error?: any;
}

export interface SandboxDetails {
  bundleId: string;
  directoryId: string;
  title: string;
  itemTecnologies: string[];
}



