import { Component, OnInit } from '@angular/core';
import { LocalStorageService } from 'angular-2-local-storage';
import {Router} from '@angular/router';
import {NavigationService} from '../services/navigation/navigation.service';
import { environment } from '../../environments/environment.dev';
@Component({
  selector: 'app-primaryskillplayground',
  templateUrl: './primaryskillplayground.component.html',
  styleUrls: ['./primaryskillplayground.component.css']
})
export class PrimaryskillplaygroundComponent implements OnInit {

  sessionDetails:{
    name:string[]
  };
  constructor(protected localStorageService: LocalStorageService, private router: Router, private navigate:NavigationService) { }

  ngOnInit() {



  }
  Qno='';
  Ono='';
  inx='';
  score={};
  questions= [
    {
      "no":"1",
      "question":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse euismod quis risus eu sagittis.           Alquam suscipit justo vel tortor sodales rutrum. Curabitur commodo felis sed felis varius sodales. Vestibulum cursus, nibh non convallis euismod, dui nulla elementum felis, volutpat cursus metus leo ut nisl.",
      "option1":"Suspendisse eget mi non magna vulputate lacinia maximus sed ante. In sit amet leo condimentum, scelerisque leo ac, sodales felis. Proin et rhoncus quam, non cursus augue.",
      "option2":"Morbi facxilisis bibendum enim sit amet porttitor. Donec magna dolor, iaculis in sodales vitae, malesuada consequat metus.",
      "option3":"Fusce auctor vitae metus a fermentum. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed scelerisque auctor magna, porta commodo nibh bibendum quis.",
      "option4":"Pellentesque molestie, felis eget sollicitudin euismod, enim mauris dictum mi, vel porta augue quam sit amet ligula."
    },
    {
      "no":"2",
      "question":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse euismod quis risus eu sagittis.           Alquam suscipit justo vel tortor sodales rutrum. Curabitur commodo felis sed felis varius sodales. Vestibulum cursus, nibh non convallis euismod, dui nulla elementum felis, volutpat cursus metus leo ut nisl.",
      "option1":"Suspendisse eget mi non magna vulputate lacinia maximus sed ante. In sit amet leo condimentum, scelerisque leo ac, sodales felis. Proin et rhoncus quam, non cursus augue.",
      "option2":"Morbi facxilisis bibendum enim sit amet porttitor. Donec magna dolor, iaculis in sodales vitae, malesuada consequat metus.",
      "option3":"Fusce auctor vitae metus a fermentum. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed scelerisque auctor magna, porta commodo nibh bibendum quis.",
      "option4":"Pellentesque molestie, felis eget sollicitudin euismod, enim mauris dictum mi, vel porta augue quam sit amet ligula."
    },
    {
      "no":"3",
      "question":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse euismod quis risus eu sagittis.           Alquam suscipit justo vel tortor sodales rutrum. Curabitur commodo felis sed felis varius sodales. Vestibulum cursus, nibh non convallis euismod, dui nulla elementum felis, volutpat cursus metus leo ut nisl.",
      "option1":"Suspendisse eget mi non magna vulputate lacinia maximus sed ante. In sit amet leo condimentum, scelerisque leo ac, sodales felis. Proin et rhoncus quam, non cursus augue.",
      "option2":"Morbi facxilisis bibendum enim sit amet porttitor. Donec magna dolor, iaculis in sodales vitae, malesuada consequat metus.",
      "option3":"Fusce auctor vitae metus a fermentum. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed scelerisque auctor magna, porta commodo nibh bibendum quis.",
      "option4":"Pellentesque molestie, felis eget sollicitudin euismod, enim mauris dictum mi, vel porta augue quam sit amet ligula."
    },
    {
      "no":"4",
      "question":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse euismod quis risus eu sagittis.           Alquam suscipit justo vel tortor sodales rutrum. Curabitur commodo felis sed felis varius sodales. Vestibulum cursus, nibh non convallis euismod, dui nulla elementum felis, volutpat cursus metus leo ut nisl.",
      "option1":"Suspendisse eget mi non magna vulputate lacinia maximus sed ante. In sit amet leo condimentum, scelerisque leo ac, sodales felis. Proin et rhoncus quam, non cursus augue.",
      "option2":"Morbi facxilisis bibendum enim sit amet porttitor. Donec magna dolor, iaculis in sodales vitae, malesuada consequat metus.",
      "option3":"Fusce auctor vitae metus a fermentum. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed scelerisque auctor magna, porta commodo nibh bibendum quis.",
      "option4":"Pellentesque molestie, felis eget sollicitudin euismod, enim mauris dictum mi, vel porta augue quam sit amet ligula."
    }
  ];
  technicalScore= '55';
  imageUrl: string = environment.imageUrl;
  goToDashboard(){
    this.router.navigate(['dashboard']);
  }
  Dashboard(){
    this.score={
      "setActive" : true,
      "technicalActive":"active",
      "technicalDisabled":false,
      "businessDisabled":true,
      "primaryScore":83
      /*"timewarp":2,
      "goldenkey":1,
      "components":3*/
    };

    this.navigate.goToDashboardFromPrimary(this.score);
  }
  aActive(qNum, optNum, idx){
    this.Qno = qNum;
    this.Ono = optNum;
    this.inx=idx;
  }
}
