import { AcceptrejectbtnsComponent } from '../shared/acceptrejectbtns/acceptrejectbtns.component';
import { AssessmentdetailComponentComponent } from '../pgm/shared/assessmentdetail-component/assessmentdetail-component.component';
import { AssignCoachDetailsComponent } from '../pgm/shared/assign-coach-details/assign-coach-details.component';
import { AvatarPicComponent } from '../shared/avatar-pic/avatar-pic.component';
import { BnyEmployeeCourseCardComponent } from '../employee/shared/bny-employee-course-card/bny-employee-course-card.component';
import { BNYUsecaseComponent } from '../employee/employee-dashboard/bny-employee-assessment/shared/bny-usecase/bny-usecase.component';
import { BrowserModule } from '@angular/platform-browser';
import { BsDropdownModule } from 'ngx-bootstrap/dropdown';
import { CandidateBusinessSkillsComponent } from '../shared/candidate-details/candidate-business-skills/candidate-business-skills.component';
import { CandidateCardComponent } from '../shared/candidate-card/candidate-card.component';
import { CandidateDetailsContainerComponent } from '../shared/candidate-details/candidate-details-container/candidate-details-container.component';
import { CandidateInfoComponent } from '../shared/candidate-info/candidate-info.component';
import { CandidateNewdetailComponent } from '../shared/candidate-newdetail/candidate-newdetail.component';
import { CandidatePrimarySkillsComponent } from '../shared/candidate-details/candidate-primary-skills/candidate-primary-skills.component';
import { CandidatePrimarySkillsDetailsComponent } from '../shared/candidate-details/candidate-primary-skills/candidate-primary-skills-details/candidate-primary-skills-details.component';
import { CandidatePrimarySkillsReportComponent } from '../shared/candidate-details/candidate-primary-skills/candidate-primary-skills-report/candidate-primary-skills-report.component';
import { CandidatePrimarySkillsRescheduleButtonsComponent } from '../shared/candidate-details/candidate-primary-skills/candidate-primary-skills-reschedule-buttons/candidate-primary-skills-reschedule-buttons.component';
import { CandidatePrimarySkillsRescheduleComponent } from '../shared/candidate-details/candidate-primary-skills/candidate-primary-skills-reschedule/candidate-primary-skills-reschedule.component';
import { CandidatePrimarySkillsTimelineComponent } from '../shared/candidate-details/candidate-primary-skills/candidate-primary-skills-timeline/candidate-primary-skills-timeline.component';
import { CandidateTechnicalSkillsComponent } from '../shared/candidate-details/candidate-technical-skills/candidate-technical-skills.component';
import { CapitalizeFirstLeterPipe } from '../custom-pipes/first-leter-caps';
import { CardComponentPlatformComponent } from '../employee/shared/card-component-platform/card-component-platform.component';
import { CatCardsComponent } from '../employee/employee-first-time/cat-cards/cat-cards.component';
import { CcindexComponent } from '../shared/candidate-details/candidate-technical-skills/ccindex/ccindex.component';
import { ChatContactListComponent } from '../chat/components/chat-contact-list/chat-contact-list.component';
import { ChatConversationComponent } from '../chat/components/chat-conversation/chat-conversation.component';
import { ChatFooterComponent } from '../chat/components/chat-footer/chat-footer.component';
import { ChatInputComponent } from '../chat/components/chat-input/chat-input.component';
import { ChatMessageComponent } from '../chat/components/chat-message/chat-message.component';
import { ChatStatusComponent } from '../chat/components/chat-status/chat-status.component';
import { ChatUserListItemComponent } from '../chat/components/chat-user-list-item/chat-user-list-item.component';
import { ChatWindowComponent } from '../chat/components/chat-window/chat-window.component';
import { ChatWindowNavComponent } from '../chat/components/chat-window-nav/chat-window-nav.component';
import { CoachAssignedComponent } from '../shared/coach-assigned/coach-assigned.component';
import { CourseEmployecomponentComponent } from '../coach/course-employecomponent/course-employecomponent.component';
import { DialogComponent } from '../shared/dialog/dialog.component';
import { EmployeeAssessmentCardComponent } from '../employee/employee-newdashboard/employee-task/employee-assessment-card/employee-assessment-card.component';
import { EmployeeAssessmentcontainerComponent } from '../shared/employee-assessmentcontainer/employee-assessmentcontainer.component';
import { EmployeeAssessmentCourseComponent } from '../employee/employee-newdashboard/employee-task/employee-assessment-course/employee-assessment-course.component';
import { EmployeeAssessmentTechnicalComponent } from '../employee/employee-dashboard/employee-assessment/employee-assessment-technical/employee-assessment-technical.component';
import { EmployeeComponent } from '../employee/employee.component';
import { EmployeeCoursesSliderComponent } from '../employee/shared/employee-course-card/employee-course-card.component';
import { EmployeeDashboardHomeCTContentComponent } from '../employee/employee-dashboard/employee-dashboard-content/employee-dashboard-home-ct/employee-dashboard-home-ctcontent/employee-dashboard-home-ctcontent.component';
import { EmployeeLogoutComponent } from '../employee/employee-dashboard/employee-logout/employee-logout.component';
import { EmployeeLogoutDirective } from '../employee/employee-dashboard/employee-logout/employee-logout.directive';
import { EmployeeProfileModule } from '../employee/employee-profile/employee-profile.module';
import { EmployeeStatusComponent } from '../employee/employee-newdashboard/employee-status/employee-status.component';
import { EventProgressComponent } from '../coach/shared/event-progress/event-progress.component';
import { FiltermodalComponent } from '../shared/filtermodal/filtermodal.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HeaderComponent } from './../header/header.component';
import { LearnigPathDetailsComponent } from '../employee/employee-dashboard/learnig-path-details/learnig-path-details.component';
import { MaterialModule } from './material.module';
import { MultiSelectComponent } from '../shared/multi-select/multi-select.component';
import { MyDatePickerModule } from 'mydatepicker';
import { MyDateRangePickerModule } from 'mydaterangepicker';
import { Ng2FilterPipeModule } from 'ng2-filter-pipe';
import { Ng2SmartTableModule } from 'ng2-smart-table';
import { NgCircleProgressModule } from 'ng-circle-progress';
import { NgModule } from '@angular/core';
import { NgxDatatableModule } from '@swimlane/ngx-datatable';
import { NgxIntlTelInputModule } from 'ngx-intl-tel-input';
import { PgmBnyEmployeeCardComponent } from '../pgm/shared/pgm-bny-employee-card/pgm-bny-employee-card.component';
import { PgmBnyReviewerComponent } from '../pgm/pgm-employee-details/shared/pgm-bny-reviewer/pgm-bny-reviewer.component';
import { PgmCandidateCardComponent } from '../pgm/shared/pgm-candidate-card/pgm-candidate-card.component';
import { PgmCandidateInfoComponent } from '../pgm/shared/pgm-candidate-info/pgm-candidate-info.component';
import { PgmCoachCardComponent } from '../pgm/shared/pgm-coach-card/pgm-coach-card.component';
import { PgmRecommendEmployeeCardComponent } from '../pgm/shared/pgm-recommend-employee-card/pgm-recommend-employee-card.component';
import { PgVerticalProgressComponent } from '../shared/candidate-details/pg-vertical-progress/pg-vertical-progress.component';
import { PgVerticalProgressItemComponent } from '../shared/candidate-details/pg-vertical-progress/pg-vertical-progress-item/pg-vertical-progress-item.component';
import { PlatformTabComponent } from '../employee/employee-dashboard/employee-dashboard-content/platform-tab/platform-tab.component';
import { QuillModule } from 'ngx-quill';
import { ScheduleprimarytestComponent } from '../coach/shared/scheduleprimarytest/scheduleprimarytest.component';
import { ScorecardsComponent } from '../shared/candidate-details/scorecards/scorecards.component';
import { ScoreringComponent } from '../shared/candidate-details/scorering/scorering.component';
import { SelectOptionComponent } from '../shared/multi-select/select-option/select-option.component';
import { ShowWorkspaceInfoComponent } from '../shared/candidate-details/show-workspace-info/show-workspace-info.component';
import { SkillsComponent } from '../shared/skills/skills.component';
import { SlideMenuModule } from 'cuppa-ng2-slidemenu/cuppa-ng2-slidemenu';
import { SliderComponent } from '../employee/shared/slider/slider.component';
import { SmallCoachProfileComponent } from '../shared/small-coach-profile/small-coach-profile.component';
import { StarRatingModule } from 'angular-star-rating';
import { SuccessComponent } from '../shared/success/success.component';
import { SwitchtabsComponent } from '../shared/switchtabs/switchtabs.component';
import { TaCandidateDetailsCardComponent } from '../ta/ta-profiles/ta-candidate-details-card/ta-candidate-details-card.component';
import { TaCandidateFullDetailsCardComponent } from '../ta/ta-profile/ta-candidate-full-details-card/ta-candidate-full-details-card.component';
import { TaCandidateProfileCardComponent } from '../ta/ta-profiles/ta-candidate-profile-card/ta-candidate-profile-card.component';
import { TaDashboardCandidateStatusComponent } from '../ta/ta-dashboard/ta-dashboard-candidate-status/ta-dashboard-candidate-status.component';
import { TaModalSelectRejectComponent } from '../ta/ta-modal-select-reject/ta-modal-select-reject.component';
import { TaSkillBadgesComponent } from '../shared/ta/ta-skill-badges/ta-skill-badges.component';
import { TestInProgressComponent } from '../shared/candidate-details/test-in-progress/test-in-progress.component';
import { ToastModule } from 'ng2-toastr';
import { UsecaseDetailComponent } from '../admin/inner-admin-pages/right-admin-panel/usecase-list/usecase-detail/usecase-detail.component';
import { ViewusecaseComponent } from '../shared/candidate-details/viewusecase/viewusecase.component';
import { CandidateHeaderComponent } from '../candidate/shared/candidate-header/candidate-header.component';
import { CandidateChallengeComponent } from '../candidate/shared/candidate-challenge/candidate-challenge.component';
import { CandidateStepperComponent } from '../candidate/shared/candidate-stepper/candidate-stepper.component';
import { CandidateUserComponent } from '../candidate/shared/candidate-user/candidate-user.component';
import { CongratulationPageComponent } from '../candidate/shared/congratulation-page/congratulation-page.component';
import { CandidateDashboardRightPannelComponent } from '../candidate/shared/candidate-dashboard-right-pannel/candidate-dashboard-right-pannel.component';
import { TaAddCandidateComponent } from '../ta/ta-add-candidate/ta-add-candidate.component';

import { CandidateSuccessComponent } from '../candidate/shared/candidate-success/candidate-success.component';
import { CandidateTableComponent } from '../shared/candidate-table/candidate-table.component';
import { CandidateReportTableComponent } from '../shared/candidate-report-table/candidate-report-table.component';
import { CodingChallengeUsecaseComponent } from '../candidate/shared/coding-challenge-usecase/coding-challenge-usecase.component';

import { EmployeeNewDashboardComponent } from '../employee/employee-dashboard/employee-new-dashboard/employee-new-dashboard.component';
import { EmployeeDashboardHeaderComponent } from '../employee/shared/employee-dashboard-header/employee-dashboard-header.component';
import { EmployeeTabMenuComponent } from '../employee/shared/employee-tab-menu/employee-tab-menu.component';
import { EmployeeProjectTileComponent } from '../employee/shared/employee-project-tile/employee-project-tile.component';
import { EmployeeSearchFilterComponent } from '../employee/shared/employee-search-filter/employee-search-filter.component';
import { EmployeeProjectListComponent } from '../employee/shared/employee-project-list/employee-project-list.component';
import { EmployeeCreateProjectComponent } from '../employee/shared/employee-create-project/employee-create-project.component';
import { EmployeeProjectInviteComponent } from '../employee/shared/employee-project-invite/employee-project-invite.component';
import { EmployeeProjectMemberListComponent } from '../employee/shared/employee-project-member-list/employee-project-member-list.component';
import { EmployeeProjectDetailsComponent } from '../employee/shared/employee-project-details/employee-project-details.component';
import { EmployeeProjectDetailsContentComponent } from '../employee/shared/employee-project-details-content/employee-project-details-content.component';
import { SuccessComponentComponent } from '../employee/shared/success-component/success-component.component';
import { CreateEnvironmentComponent } from '../admin/inner-admin-pages/right-admin-panel/create-environment/create-environment.component';
import { WorskspaceLaunchComponent } from '../worskspace-launch/worskspace-launch.component';
import { FeedbackmodalComponent } from 'app/shared/feedbackmodal/feedbackmodal.component';
import { TaReportsComponent } from 'app/ta/ta-reports/ta-reports.component';
import { FeedbackReportTableComponent } from '../shared/feedback-report-table/feedback-report-table.component';
import { CheckinCandidatesReportTableComponent } from '../shared/checkin-candidates-report-table/checkin-candidates-report-table.component';
import { ReportTemplateTableComponent } from '../shared/report-template-table/report-template-table.component';

@NgModule({
  imports: [
    FormsModule,
    BrowserModule,
    ReactiveFormsModule,
    MaterialModule,
    SlideMenuModule,
    Ng2SmartTableModule,
    ToastModule.forRoot(),
    NgxDatatableModule,
    Ng2FilterPipeModule,
    QuillModule,
    EmployeeProfileModule,
    MyDateRangePickerModule,
    MyDatePickerModule,
    BsDropdownModule.forRoot(),
    NgxIntlTelInputModule,
    StarRatingModule.forRoot(),
    NgCircleProgressModule.forRoot({
      radius: 40,
      outerStrokeWidth: 7,
      innerStrokeWidth: 6,
      outerStrokeColor: '#67CAFF',
      innerStrokeColor: '#D3D3D3',
      subtitleColor: '#000000',
      showUnits: false,
      space: 0,
      animation: true,
      animationDuration: 300,
      titleFontSize: '24',
      subtitleFontSize: '14',
      showTitle: true,
      showInnerStroke: true,
      backgroundPadding: 25,
    })
  ],
  declarations: [
    CodingChallengeUsecaseComponent,
    CandidateSuccessComponent,
    CandidateUserComponent,
    CandidateStepperComponent,
    CandidateChallengeComponent,
    CandidateHeaderComponent,
    CongratulationPageComponent,
    CandidateDashboardRightPannelComponent,
    TaAddCandidateComponent,
    SelectOptionComponent,
    MultiSelectComponent,
    DialogComponent,
    CapitalizeFirstLeterPipe,
    EmployeeLogoutDirective,
    HeaderComponent,
    EmployeeLogoutComponent,
    EmployeeComponent,
    EmployeeCoursesSliderComponent,
    CandidateInfoComponent,
    SkillsComponent,
    AssignCoachDetailsComponent,
    SliderComponent,
    BnyEmployeeCourseCardComponent,
    AvatarPicComponent,
    PgmCandidateInfoComponent,
    UsecaseDetailComponent,
    CatCardsComponent,
    EmployeeAssessmentCardComponent,
    TaSkillBadgesComponent,
    TaCandidateDetailsCardComponent,
    EmployeeAssessmentCourseComponent,
    BNYUsecaseComponent,
    PgmBnyReviewerComponent,
    ScoreringComponent,
    LearnigPathDetailsComponent,
    FiltermodalComponent,
    PgmCandidateCardComponent,
    EventProgressComponent,
    SwitchtabsComponent,
    EmployeeStatusComponent,
    PgmBnyEmployeeCardComponent,
    PgmCoachCardComponent,
    TaCandidateProfileCardComponent,
    EmployeeAssessmentcontainerComponent,
    CandidatePrimarySkillsComponent,
    AssessmentdetailComponentComponent,
    EmployeeAssessmentTechnicalComponent,
    TestInProgressComponent,
    CandidatePrimarySkillsDetailsComponent,
    CandidatePrimarySkillsTimelineComponent,
    CandidatePrimarySkillsRescheduleComponent,
    CandidatePrimarySkillsRescheduleButtonsComponent,
    SmallCoachProfileComponent,
    ScheduleprimarytestComponent,
    CandidatePrimarySkillsReportComponent,
    PgVerticalProgressItemComponent,
    PgVerticalProgressComponent,
    AcceptrejectbtnsComponent,
    CandidateDetailsContainerComponent,
    CandidateTechnicalSkillsComponent,
    CandidateBusinessSkillsComponent,
    ViewusecaseComponent,
    ShowWorkspaceInfoComponent,
    CcindexComponent,
    SuccessComponent,
    ScorecardsComponent,
    ChatFooterComponent,
    ChatWindowComponent,
    ChatWindowNavComponent,
    ChatStatusComponent,
    ChatUserListItemComponent,
    ChatMessageComponent,
    ChatInputComponent,
    ChatContactListComponent,
    ChatConversationComponent,
    PlatformTabComponent,
    CardComponentPlatformComponent,
    CoachAssignedComponent,
    CourseEmployecomponentComponent,
    EmployeeDashboardHomeCTContentComponent,
    PgmRecommendEmployeeCardComponent,
    TaModalSelectRejectComponent,
    CandidateCardComponent,
    TaDashboardCandidateStatusComponent,
    TaCandidateFullDetailsCardComponent,
    CandidateTableComponent,
    CandidateReportTableComponent,
    EmployeeNewDashboardComponent,
    EmployeeDashboardHeaderComponent,
    EmployeeTabMenuComponent,
    EmployeeProjectTileComponent,
    EmployeeSearchFilterComponent,
    EmployeeProjectListComponent,
    EmployeeCreateProjectComponent,
    EmployeeProjectInviteComponent,
    EmployeeProjectMemberListComponent,
    EmployeeProjectDetailsComponent,
    EmployeeProjectDetailsContentComponent,
    CandidateNewdetailComponent,
    SuccessComponentComponent,
    CreateEnvironmentComponent,
    WorskspaceLaunchComponent,
    FeedbackmodalComponent,
    TaReportsComponent,
    FeedbackReportTableComponent,
    ReportTemplateTableComponent,
    CheckinCandidatesReportTableComponent
  ],
  exports: [
    CodingChallengeUsecaseComponent,
    CandidateSuccessComponent,
    CandidateUserComponent,
    CandidateStepperComponent,
    CandidateHeaderComponent,
    CandidateChallengeComponent,
    CongratulationPageComponent,
    CandidateDashboardRightPannelComponent,
    TaAddCandidateComponent,
    SlideMenuModule,
    CoachAssignedComponent,
    SelectOptionComponent,
    MultiSelectComponent,
    DialogComponent,
    PlatformTabComponent,
    ChatFooterComponent,
    ScorecardsComponent,
    SuccessComponent,
    CcindexComponent,
    ShowWorkspaceInfoComponent,
    CapitalizeFirstLeterPipe,
    NgxDatatableModule,
    EmployeeLogoutDirective,
    HeaderComponent,
    EmployeeLogoutComponent,
    EmployeeComponent,
    EmployeeCoursesSliderComponent,
    CandidateInfoComponent,
    SkillsComponent,
    AssignCoachDetailsComponent,
    SliderComponent,
    BnyEmployeeCourseCardComponent,
    AvatarPicComponent,
    MaterialModule,
    Ng2SmartTableModule,
    Ng2FilterPipeModule,
    MyDatePickerModule,
    PgmCandidateInfoComponent,
    UsecaseDetailComponent,
    CatCardsComponent,
    EmployeeAssessmentCardComponent,
    TaSkillBadgesComponent,
    TaCandidateDetailsCardComponent,
    EmployeeAssessmentCourseComponent,
    BNYUsecaseComponent,
    PgmBnyReviewerComponent,
    ScoreringComponent,
    LearnigPathDetailsComponent,
    FiltermodalComponent,
    PgmCandidateCardComponent,
    EventProgressComponent,
    SwitchtabsComponent,
    EmployeeStatusComponent,
    PgmBnyEmployeeCardComponent,
    AssessmentdetailComponentComponent,
    PgmCoachCardComponent,
    TaCandidateProfileCardComponent,
    EmployeeAssessmentcontainerComponent,
    CandidatePrimarySkillsComponent,
    EmployeeAssessmentTechnicalComponent,
    TestInProgressComponent,
    CandidatePrimarySkillsDetailsComponent,
    CandidatePrimarySkillsTimelineComponent,
    CandidatePrimarySkillsRescheduleComponent,
    CandidatePrimarySkillsRescheduleButtonsComponent,
    SmallCoachProfileComponent,
    ScheduleprimarytestComponent,
    CandidatePrimarySkillsReportComponent,
    PgVerticalProgressItemComponent,
    PgVerticalProgressComponent,
    AcceptrejectbtnsComponent,
    CandidateDetailsContainerComponent,
    CandidateTechnicalSkillsComponent,
    CandidateBusinessSkillsComponent,
    ViewusecaseComponent,
    ChatWindowComponent,
    ChatWindowNavComponent,
    ChatStatusComponent,
    ChatUserListItemComponent,
    ChatMessageComponent,
    ChatInputComponent,
    CardComponentPlatformComponent,
    CourseEmployecomponentComponent,
    EmployeeDashboardHomeCTContentComponent,
    PgmRecommendEmployeeCardComponent,
    TaModalSelectRejectComponent,
    CandidateCardComponent,
    TaDashboardCandidateStatusComponent,
    TaCandidateFullDetailsCardComponent,
    CandidateTableComponent,
    CandidateReportTableComponent,
    EmployeeNewDashboardComponent,
    EmployeeDashboardHeaderComponent,
    EmployeeTabMenuComponent,
    EmployeeProjectTileComponent,
    EmployeeSearchFilterComponent,
    EmployeeProjectListComponent,
    EmployeeCreateProjectComponent,
    EmployeeProjectInviteComponent,
    EmployeeProjectMemberListComponent,
    EmployeeProjectDetailsComponent,
    EmployeeProjectDetailsContentComponent,
    CandidateNewdetailComponent,
    SuccessComponentComponent,
    CreateEnvironmentComponent,
    WorskspaceLaunchComponent,
    FeedbackmodalComponent,
    TaReportsComponent,
    FeedbackReportTableComponent,
    ReportTemplateTableComponent,
    CheckinCandidatesReportTableComponent

  ],
  entryComponents: [
    SuccessComponentComponent,
    EmployeeCreateProjectComponent,
    CreateEnvironmentComponent,
    EmployeeProjectInviteComponent
  ]
})

export class SharedModule { }
