import { environment } from 'environments/environment.dev';

export default class EmployeeUrls {
  static base_url = environment.apiUrl;
  static getEmployeeDetails = `${EmployeeUrls.base_url}orchestrate/employee-getEmployeeDetails/:userId`;
  static updateFirstTimeLoginStatus = `${EmployeeUrls.base_url}orchestrate/employee-updateFirstTimeLoginStatus/:userId`;
  static getListEmployeeDetails = `${EmployeeUrls.base_url}orchestrate/getEmployeeDetails/:employeeIdList`;
  // static updateSkillForEmployee = `${EmployeeUrls.base_url}orchestrate/updateEmployeeDetails/:userInfoMstrId`;
  static updateSkillForEmployee = `${EmployeeUrls.base_url}orchestrate/employee-updateEmployeeDetails/`;
  static uploadFile = `${EmployeeUrls.base_url}orchestrate/uploadFile/`;
  static getFileContents = `${EmployeeUrls.base_url}orchestrate/getFileContent/:fileId`;
  static getCourseCategories = `${EmployeeUrls.base_url}orchestrate/course-getCourseCategories/`;
  static getCourseByCategory = `${EmployeeUrls.base_url}orchestrate/course-getCourseByCategory/:categoryName`;
  static getActiveCoursesCategoriesBySkills = `${EmployeeUrls.base_url}orchestrate/course-getActiveCoursesCategoriesBySkills/`;
  static addUserCourses = `${EmployeeUrls.base_url}orchestrate/courseUser-user/`;
  static getUserCoursesDashboard = `${EmployeeUrls.base_url}orchestrate/course-getUserCoursesDashboard/:employeeId`;
  static getSearchEmployee = `${EmployeeUrls.base_url}orchestrate/employee-searchEmployee/`;
  static quickSearchEmployee = `${EmployeeUrls.base_url}orchestrate/employee-quickSearchEmployee/`;
  static addMultiUserCourses = `${EmployeeUrls.base_url}orchestrate/courseUser-user/`;
  static getCourseBySkillId = `${EmployeeUrls.base_url}orchestrate/course-getAllCoursesBySkillId/:skillId`;
  static getUserCoursesCountByStatus = `${EmployeeUrls.base_url}orchestrate/course-getUserCoursesCountByStatus/:employeeId`;
  static addProjectDtlsForEmployee = `${EmployeeUrls.base_url}orchestrate/employee-addProjectDtls/`;
  static applyForCoach = `${EmployeeUrls.base_url}orchestrate/employee-applyForCoach/:userInfoMstrId`;
  static updateEmployeeDetails = `${EmployeeUrls.base_url}orchestrate/employee-updateEmployeeDetails/`;
  static bnyCourseDetails = `${EmployeeUrls.base_url}orchestrate/getCoursesAndUseCases/couseSelection`;
  static bnyCourseCardDetails = `${EmployeeUrls.base_url}orchestrate/course-getCourses/courseId`;
  static getEmployeeLearningPath = `${EmployeeUrls.base_url}orchestrate/lp-getUserLp/userInfoMstrId`;
  static learningPathCourseDetails = `${EmployeeUrls.base_url}orchestrate/learningPath/id`;
  static bnyAssessmentCardDetails = `${EmployeeUrls.base_url}orchestrate/screening-getAllAssesmentsById/`;
  static subAssessmentDetails = `${EmployeeUrls.base_url}orchestrate/employee-selfAssessment/`;
  static subCourseDetails = `${EmployeeUrls.base_url}orchestrate/courseUser-user/`;
  static uploadProfileUrl = `${EmployeeUrls.base_url}orchestrate/common-uploadPhoto/:userId`;
  static getReviewDetails = `${EmployeeUrls.base_url}orchestrate/employee-getReviews/reviewerId/status`;
  static getReviewDetailsList = `${EmployeeUrls.base_url}orchestrate/employee-getEmployeeReviewDetailsList/reviewerId/status`;
  static getImageDetails = `${EmployeeUrls.base_url}orchestrate/fileSystem-getFileContent/reviewerId`;
  static getGitDetails = `${EmployeeUrls.base_url}orchestrate/gitLab-getOneUserByEmail/emailId`;
  static updateEmployeeReviewStatus = `${EmployeeUrls.base_url}orchestrate/employee-submitReview/eventDetailsId/userId/status`;
  static getCodeReviewDetails = `${EmployeeUrls.base_url}orchestrate/gitLab-getReviewLink/eventDtlsId`;
  static getReviewQuestions = `${EmployeeUrls.base_url}orchestrate/admin-fetchFeedbackQuestionsByUsecaseId/useCaseId`;
  static subEmployeeFeedback = `${EmployeeUrls.base_url}orchestrate/employee-submitReviewerFeedback/`;
  static getEmployeeReviewScore = `${EmployeeUrls.base_url}orchestrate/employee-getReviewScore/?eventDtlsId=:eventDtlsId&reviewerId=:reviewerId`;
  static getAllTechStacks = `${EmployeeUrls.base_url}eegitapi/v1/techStacks/`;
  static getAllProject = `${EmployeeUrls.base_url}eegitapi/v1/projects/`;
  static getAllProjectByUser = `${EmployeeUrls.base_url}eegitapi/v1/projects/emailId/`;
  static createGitLabProject = `${EmployeeUrls.base_url}eegitapi/v1/projects/`;
  static getBitbucketAllRequestedProject = `${EmployeeUrls.base_url}orchestrate/bitbucket-getAllRequestedProject/`;
  static getBitbucketAllCreatedProject = `${EmployeeUrls.base_url}orchestrate/bitbucket-getAllCreatedProject/`;
  static updateBitbucketProject = `${EmployeeUrls.base_url}orchestrate/bitbucket-updateProjectDetails/`;
  static getProjectById = `${EmployeeUrls.base_url}orchestrate/bitbucket-getProjectById/projectID/`;
  static getCoachDetails = `${EmployeeUrls.base_url}orchestrate/employee-getEmployeeEmail/coachId/`;
  static getAllEmployees = `${EmployeeUrls.base_url}orchestrate/employee-getAllEmployees/`;
  static getGitUserDetail = `${EmployeeUrls.base_url}eegitapi/v1/users/emailID`;

}
