import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { ComponentPlatformResponse } from 'app/models/conponent-platform.model';
import { Observable } from 'rxjs/Observable';
import Urls from './platform-urls';
@Injectable()
export class PlatformHttpService {

  constructor(private http: HttpClient) { }


  /**
   * Get components platform
   *
   * @param {number} employeeId
   * @returns {Observable<any>}
   * @memberof EmployeeHttpService
   */
  public getComponentCatalogFromPlatform(): Observable<ComponentPlatformResponse[]> {
    return this.http.get<ComponentPlatformResponse[]>(Urls.getComponentCatalogFromPlatform);
  }
}
