/**
 * Used to pass options to a pg-select component
 * @interface
 */
export interface SelectOption {
  /**
   * value that its going to be returned as the selected item
   */
  value: String | Number;
  /**
   * text that its going to be shown on the ui
   */
  text: String;
  /**
   * control property that should not be set since it will be
   * managed by the pg-select component
   */
  selected?: boolean;
}
