import { InfoDetails } from 'app/models/candidate-dashboard-response/info-details';
import { Component, OnInit, Input } from '@angular/core';
import { environment } from '../../../../environments/environment.dev';

@Component({
  selector: 'app-candidate-user',
  templateUrl: './candidate-user.component.html',
  styleUrls: ['./candidate-user.component.scss']
})
export class CandidateUserComponent implements OnInit {
  @Input() userDetails;
  @Input() primaryStatus;
  @Input() codingStatus;
  @Input() whiteboardStatus;
  userInfoDetails;
  skills;
  img_path: string;
  constructor() {
    this.img_path = environment.imageUrl+'/assets/img/candidate/dashboard/';
  }
  ngOnInit() {
    if (this.userDetails) {
      this.userInfoDetails = this.userDetails.infoDetails;
      this.skills = this.userDetails.infoMstr.pgUserSkillMapping;
    }
  }

}
