import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { EmployeeProfileDescriptionComponent } from 'app/employee/employee-profile/employee-profile-description/employee-profile-description.component';
import { EmployeeProfileComponent } from 'app/employee/employee-profile/employee-profile.component';
import { MdIconModule } from '@angular/material';
import { EmployeeProfileInformationComponent } from './employee-profile-information/employee-profile-information.component';
import { CardDetailsComponent } from './employee-profile-information/card-details/card-details.component';
import { CardProjectDetailsComponent } from './employee-profile-information/card-project-details/card-project-details.component';
import { CardProjectAddedComponent } from './employee-profile-information/card-project-added/card-project-added.component';
import { CardProjectsuccessfulSubmitComponent } from './employee-profile-information/card-project-successful-submit/card-project-successful-submit.component';
import { FormsModule } from '@angular/forms';
import { ProjectSaveComponent } from './employee-profile-information/card-project-added/project-save/project-save.component';
import { DropdownlistSkillsComponent } from './employee-profile-information/dropdownlist-skills/dropdownlist-skills.component';

@NgModule({
  imports: [
    CommonModule,
    MdIconModule,
    FormsModule
  ],
  declarations: [
    EmployeeProfileDescriptionComponent,
    EmployeeProfileComponent,
    EmployeeProfileInformationComponent,
    CardDetailsComponent,
    CardProjectDetailsComponent,
    CardProjectAddedComponent,
    CardProjectsuccessfulSubmitComponent,
    ProjectSaveComponent,
    DropdownlistSkillsComponent]
})
export class EmployeeProfileModule { }
