import { Component, OnInit, Output, EventEmitter } from '@angular/core';
import { environment } from '../../../../environments/environment.dev';
@Component({
  selector: 'app-employee-search-filter',
  templateUrl: './employee-search-filter.component.html',
  styleUrls: ['./employee-search-filter.component.scss']
})
export class EmployeeSearchFilterComponent {
  img_path: string;
  isList: boolean;
  @Output() viewChange = new EventEmitter();

  constructor() {
    this.img_path = environment.imageUrl+'/assets/img/employee/newdashboard/';
  }
  showTileFun(val: boolean) {
    this.viewChange.emit(val);

  }
}
