import { PgEventDtlsDesc } from "app/models/candidate-dashboard-response/pg-event-dtls-desc";
import { PgEventRule } from "app/models/candidate-dashboard-response/pg-event-rule";

export interface EventDetail {
    coachId: number;
    courseId: number;
    createdBy: string;
    createdDt: Date;
    eventComments: string;
    eventDtlDesc: string;
    eventDtlsId: number;
    eventInput: string;
    eventName: string;
    eventOutput: string;
    eventScore: string;
    eventSts: string;
    noOfAttempts: number;
    pgEventDtlsDesc: PgEventDtlsDesc[];
    pgEventRule: PgEventRule;
    pgUserInfoMstr: number;
    updatedBy: string;
    updatedDt: Date;
}
