enum state {
  'NONE',
  'InProgress',
  'Completed',
  'Error'
}
interface SandboxSetupProcessWorkSpace {
    state: state;
    data?: ResponseSetupWorkSpace;
    show?: boolean;
}
interface ResponseSetupWorkSpace {
    adId?: string;
    workSpaceId?: string;
    bundleId?: string;
    registrationCode?: string;
    awsClientAccessUrl?: string;
    computerName?: any;
    error?: any;
    status?: any;
    createdTime: number;
}

interface SetupWorkspacePayload {
  sname: string;
  sbundleId: string;
  sdirId: string;
}

export { state, SandboxSetupProcessWorkSpace, ResponseSetupWorkSpace, SetupWorkspacePayload };
