export interface PgSkillTrackMstr {
    skillTrackMstrId: number;
    skillTrackName: string;
    description: string;
    status: string;
    createdBy: string;
    createdDt: any;
    updatedBy: string;
    updatedDt: any;
}

export interface PgSkillCategory {
    skillCategoryId: number;
    skillCategoryName: string;
    description: string;
    status: string;
    createdBy: string;
    createdDt: any;
    updatedBy: string;
    updatedDt: any;
}

export interface PgSkillTrackDtlsList {
    skillTrackDtlsId: number;
    pgSkillTrackMstr: PgSkillTrackMstr;
    pgSkillCategory: PgSkillCategory;
    skillTrackDtlsName: string;
    status: string;
    description: string;
    createdBy: string;
    createdDt: any;
    updatedBy: string;
    updatedDt: any;
}

export interface SkillsResponse {
    pgSkillTrackMstr?: any;
    pgSkillTrackDtlsList: PgSkillTrackDtlsList[];
    skillTrackDtlsId?: any;
    skillTrackMstrId?: any;
    skillCategoryId?: any;
    skillTrackDtlsName?: any;
    description?: any;
    error?: any;
    pgSkillTrackDtls?: any;
}


