import { environment } from 'environments/environment.dev';
export default class AssessmentUrls {
  static base_url = environment.apiUrl;
  static getEmployeeCourseAssessment = `${AssessmentUrls.base_url}orchestrate/employee-getEmployeeEventDetailsForCourse/:employeeId/:courseId`;
  static getEmployeeMiniAssessment = `${AssessmentUrls.base_url}orchestrate/employee-getEmployeeEventDetailsForAssessment/:employeeId/:assessmentId`;
  static updateStatus = `${AssessmentUrls.base_url}orchestrate/employee-updateStatus`;
  static addEventDetails = `${AssessmentUrls.base_url}orchestrate/employee-addEventDetails`;
  static getUsecase = `${AssessmentUrls.base_url}orchestrate/employee-getUsecaseForEmployee/:employeeId/:eventId/:courseId`;
  static getMiniAssessmentUsecase = `${AssessmentUrls.base_url}orchestrate/employee-getAssessmentUsecaseForEmployee/:employeeId/:eventId/:courseId`;
  static updateCourseStatus = `${AssessmentUrls.base_url}orchestrate/employee-updateCourseStatus/:employeeId/:courseId/:status`;
  static updateAssessmentStatus = `${AssessmentUrls.base_url}orchestrate/employee-updateAssessmentStatus/:employeeId/:assessmentId/:status`;
}
